Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.

Query Parameters

after
string

Returns the elements in the list that come after the specified cursor.

before
string

Returns the elements in the list that come before the specified cursor.

first
integer

Returns the first n elements from the list.

Example:

42

last
integer

Returns the last n elements from the list.

Example:

42

payment_id
string

Filter refunds to those associated with this specific payment. Mutually exclusive with company_id and user_id: provide exactly one.

Example:

"pay_xxxxxxxxxxxxxx"

user_id
string

Filter refunds to those associated with this specific user. Mutually exclusive with payment_id and company_id: provide exactly one. Requires a credential belonging to that user; any other credential receives 'You are not authorized'.

Example:

"user_xxxxxxxxxxxxx"

direction
enum<string>

The sort direction for ordering results, either ascending or descending.

Available options:
asc,
desc
created_before
string<date-time>

Only return refunds created before this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

created_after
string<date-time>

Only return refunds created after this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

account_id
string

Filter refunds to those belonging to this company. Mutually exclusive with payment_id and user_id: provide exactly one.

Example:

"biz_xxxxxxxxxxxxxx"

Response

A successful response

The connection type for Refund.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.